
Redmine - Patch #28242

Add toggle checkboxes link (green tick) to several screens  

2018-02-25 15:52 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Description

- Active activities from Time tracking tab (Project settings)

- Trackers and custom fields settings from Issues tracking tab (Project settings)

- Project modules settings (Project settings)

- Roles permissions for each module (Administration)

Related issues:

Related to Redmine - Patch #27807: Use a unique way to check/uncheck a group/... Closed

Related to Redmine - Defect #28463: Permissions table for trackers should hav... Closed

Has duplicate Redmine - Feature #5661: Select all / Unselect all trackes duri... Closed 2010-06-09

Associated revisions

Revision 17213 - 2018-02-26 12:56 - Go MAEDA

Adds toggle checkboxes to activities tab from project settings (#28242).

Patch by Marius BALTEANU.

Revision 17214 - 2018-02-26 13:00 - Go MAEDA

Adds toggle checkboxes to trackers and custom fields from project settings (#28242).

Patch by Marius BALTEANU.

Revision 17215 - 2018-02-26 13:02 - Go MAEDA

Adds toggle checkboxes to project modules from project settings (#28242).

Patch by Marius BALTEANU.

Revision 17216 - 2018-02-26 13:05 - Go MAEDA

Adds toggle checkboxes feature to roles permissions (#28242).

Patch by Marius BALTEANU.

Revision 17256 - 2018-04-04 06:15 - Go MAEDA

Adds toggle checkboxes feature to trackers permissions (#28242).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-02-25 15:55 - Marius BĂLTEANU

- Related to Patch #27807: Use a unique way to check/uncheck a group/fieldset with checkboxes  added

#2 - 2018-02-26 01:08 - Go MAEDA

- Target version set to 4.1.0

Thank you for extracting these patches from #27807.

LGTM, setting target version to 4.1.0.

#3 - 2018-02-26 13:08 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed the patches. Thank you for your contribution.

#4 - 2018-03-29 07:50 - Go MAEDA

- Related to Defect #28463: Permissions table for trackers should have "check/uncheck all" icon added

#5 - 2018-04-04 06:19 - Go MAEDA

Committed the patch to add toggle checkboxes feature to trackers permissions in r17256. The patch was submitted in #28463 by Mizuki ISHIKAWA.

#6 - 2020-06-11 23:39 - Go MAEDA

- Has duplicate Feature #5661: Select all / Unselect all trackes during project creation added

Files

0001-adds-toogle-checkboxes-to-activities-tab-from-projec.patch 1.13 KB 2018-02-25 Marius BĂLTEANU

0002-adds-toogle-checkboxes-to-trackers-and-custom-fields.patch 2.22 KB 2018-02-25 Marius BĂLTEANU

0003-adds-toogle-checkboxes-to-project-modules-from-proje.patch 1.09 KB 2018-02-25 Marius BĂLTEANU

0004-adds-toogle-checkboxes-feature-to-roles-permissions.patch 1.28 KB 2018-02-25 Marius BĂLTEANU
